跳到主要内容

Device 对象

具有唯一标识的设备(device)注册必须通过 Device 端点完成。为使注册生效,必须使用 Device Scan 记录该设备的标识,以便后续识别。

状态动态 - status

status 状态表示设备的当前状态。以下状态可用:

  • registered
  • not_registered
  • deactivated

状态动态 - analysis_status

analysis_status 状态表示欺诈检测引擎的决策状态,具有以下状态流:

  • automatically_approved
  • automatically_reproved
  • pending

定义 Device 对象

Request Body
{
"device_id": "12345678",
"session_id": "12345678",
"face_recognition_key": "12345678",
"document_number": "111.111.111-11",
"mfa_status": "approved",
"registration_date": "2019-12-11T11:37:15.12-03:00"
}

注册的所有信息交换均使用以下对象定义。在某些情况下,为了方便实现并减少双方之间的数据流,部分信息可以省略。

名称类型描述
device_idstring设备标识符。
每个设备的该编号必须唯一 (必填)
session_idstringDevice Scan 中的会话标识符。(必填)
face_recognition_keystring如果人脸识别产品作为注册的双因素认证,则为人脸生物特征图像标识符。
document_numberstring用于人脸验证的用户文件编号。仅当在注册 person 对象时未提供时才需要发送。
mfa_statusstring注册的 MFA 状态,可为以下值之一:approved reproved
registration_datedatetime注册开始的日期和时间,含时区。(必填)
注意

document_number 字段是在数据库中进行人脸验证所必需的,因此,如果在用户注册时未提供,则为必填项。其值绝不能与 person 中注册的值不同。

提交 Device Registration

Request Body
  {
"device_id": "12345",
...
}
Response Body
  {
"device_id": "12345",
"status": "registered",
"analysis_status": "automatically_approved",
"reason": "rule_decision_enum",
"reason_description": "Descrição da regra"
}

要注册设备,只需将 Device 类型的对象发送到以下端点:

POST https://api.caas.qitech.app/device_manager/account/{account_id}/person/{person_id}/device